Subject: Re: bug#74709: [PATCH] Avoid empty unique qualifier in buffer name

From: Manuel Giraud <[email-masked]>
Date: Fri, 06 Dec 2024 17:34:55 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 06 Dec 2024 13:17:31 +0100
>> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> This patch prevents from having an empty unique qualifier in the buffer
>> name.  Maybe this could happen with others file buffer as well but, most
>> of the time, you could witness it with Dired buffer in homedir.  Here is
>> a recipe:
>> 
>>   - emacs -Q
>>   - C-x d /ssh:somewhere: ;; This buffer is named "~</ssh:somewhere:>"
>>   - C-x d /~/             ;; This buffer is named "~<>"
>> 
>> With this patch, the last buffer will simply be named "~" instead.
>
> FWIW, I actually like the feature whereby once we need the <SOMETHING>
> suffix, all the buffers that share the same base name acquire the
> brackets.  Why is it a problem that there's nothing inside?  It is not
> a bug.

No it is not a bug.  It is just a matter of aesthetic.  But you're right
that it could also serve as visual help.  I think this PR could be
ignored then.  Thanks.
-- 
Manuel Giraud